VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::ConfigurationStub Class Reference

Remote stub implementation of the Configuration API service. More...

Inherits vmware::content::Configuration.

List of all members.

## Public Member Functions
| ConfigurationStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
void | Update (vmware.content.ConfigurationModel model)
| Updates the configuration.
void | Update (vmware.content.ConfigurationModel model, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the configuration.
global::System.Threading.Tasks.Task | UpdateAsync (vmware.content.ConfigurationModel model)
| Updates the configuration.
global::System.Threading.Tasks.Task | UpdateAsync (vmware.content.ConfigurationModel model, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the configuration.
vmware.content.ConfigurationModel | Get ()
| Retrieves the current configuration values.
vmware.content.ConfigurationModel | Get (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves the current configuration values.
global::System.Threading.Tasks.Task < vmware.content.ConfigurationModel > | GetAsync ()
| Retrieves the current configuration values.
global::System.Threading.Tasks.Task < vmware.content.ConfigurationModel > | GetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves the current configuration values.

## Detailed Description

Remote stub implementation of the Configuration API service.

## Constructor & Destructor Documentation

vmware::content::ConfigurationStub::ConfigurationStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

vmware.content.ConfigurationModel vmware::content::ConfigurationStub::Get | ( |  | ) | `[inline]`

Retrieves the current configuration values.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.GetConfiguration` .

Returns:
  The ConfigurationModel instance representing the configuration of the Content Library Service.

Implements vmware::content::Configuration.

vmware.content.ConfigurationModel vmware::content::ConfigurationStub::Get | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves the current configuration values.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.GetConfiguration` .

Returns:
  The ConfigurationModel instance representing the configuration of the Content Library Service.

Implements vmware::content::Configuration.

global::System.Threading.Tasks.Task<vmware.content.ConfigurationModel> vmware::content::ConfigurationStub::GetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves the current configuration values.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.GetConfiguration` .

Returns:
  The ConfigurationModel instance representing the configuration of the Content Library Service.

Implements vmware::content::Configuration.

global::System.Threading.Tasks.Task<vmware.content.ConfigurationModel> vmware::content::ConfigurationStub::GetAsync | ( |  | ) | `[inline]`

Retrieves the current configuration values.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.GetConfiguration` .

Returns:
  The ConfigurationModel instance representing the configuration of the Content Library Service.

Implements vmware::content::Configuration.

void vmware::content::ConfigurationStub::Update | ( | vmware.content.ConfigurationModel | model,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Updates the configuration.

The update is incremental. Any field in the ConfigurationModel class that is null will not be modified. Note that this update method doesn't guarantee an atomic change of all the properties. In the case of a system crash or failure, some of the properties could be left unchanged while others may be updated.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if one of the configuration properties is not within the proper range.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.UpdateConfiguration` .

Parameters:

  model | The ConfigurationModel specifying the settings to update.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::Configuration.

void vmware::content::ConfigurationStub::Update | ( | vmware.content.ConfigurationModel | model | ) | `[inline]`

Updates the configuration.

The update is incremental. Any field in the ConfigurationModel class that is null will not be modified. Note that this update method doesn't guarantee an atomic change of all the properties. In the case of a system crash or failure, some of the properties could be left unchanged while others may be updated.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if one of the configuration properties is not within the proper range.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.UpdateConfiguration` .

Parameters:

  model | The ConfigurationModel specifying the settings to update.

Implements vmware::content::Configuration.

global::System.Threading.Tasks.Task vmware::content::ConfigurationStub::UpdateAsync | ( | vmware.content.ConfigurationModel | model | ) | `[inline]`

Updates the configuration.

The update is incremental. Any field in the ConfigurationModel class that is null will not be modified. Note that this update method doesn't guarantee an atomic change of all the properties. In the case of a system crash or failure, some of the properties could be left unchanged while others may be updated.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if one of the configuration properties is not within the proper range.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.UpdateConfiguration` .

Parameters:

  model | The ConfigurationModel specifying the settings to update.

Implements vmware::content::Configuration.

global::System.Threading.Tasks.Task vmware::content::ConfigurationStub::UpdateAsync | ( | vmware.content.ConfigurationModel | model,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Updates the configuration.

The update is incremental. Any field in the ConfigurationModel class that is null will not be modified. Note that this update method doesn't guarantee an atomic change of all the properties. In the case of a system crash or failure, some of the properties could be left unchanged while others may be updated.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if one of the configuration properties is not within the proper range.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.UpdateConfiguration` .

Parameters:

  model | The ConfigurationModel specifying the settings to update.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::Configuration.

The documentation for this class was generated from the following file:

- ConfigurationStub.cs